Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area.inline
Class ResolvedPageNumber

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.inline.InlineArea
                  org.apache.fop.area.inline.InlineParent
                      org.apache.fop.area.inline.AbstractTextArea
                          org.apache.fop.area.inline.TextArea
                              org.apache.fop.area.inline.ResolvedPageNumber

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ResolvedPageNumber

extends TextArea

Always (pre-) resolved page number area. Needed by BIDI code to distinguish from UnresolvedPageNumber.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.area.inline.AbstractTextArea
`AbstractTextArea.TextAdjustingInfo`

Nested classes/interfaces inherited from class org.apache.fop.area.inline.InlineArea
`InlineArea.InlineAdjustingInfo`

Field Summary

Fields inherited from class org.apache.fop.area.inline.InlineParent
`autoSize, inlines, minChildOffset`

Fields inherited from class org.apache.fop.area.inline.InlineArea
`adjustingInfo, blockProgressionOffset`

Fields inherited from class org.apache.fop.area.Area
`bidiLevel, bpd, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, effectiveIPD, ipd, log, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, traits`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`ResolvedPageNumber()`

Method Summary

Methods inherited from class org.apache.fop.area.inline.TextArea
`addSpace, addWord, addWord, addWord, getEffectiveIPD, getText, isHyphenated, removeText, setHyphenated, toString, updateLevel`

Methods inherited from class org.apache.fop.area.inline.AbstractTextArea
`applyVariationFactor, getBaselineOffset, getTextLetterSpaceAdjust, getTextWordSpaceAdjust, setBaselineOffset, setSpaceDifference, setTextLetterSpaceAdjust, setTextWordSpaceAdjust`

Methods inherited from class org.apache.fop.area.inline.InlineParent
`addChildArea, collectInlineRuns, getChildAreas, resetChildrenLevel`

Methods inherited from class org.apache.fop.area.inline.InlineArea
`getAdjustingInfo, getBlockProgressionOffset, getParentArea, handleIPDVariation, hasLineThrough, hasOverline, hasUnderline, increaseIPD, isAncestor, isAncestorOrSelf, isBlinking, notifyIPDVariation, setAdjustingInfo, setAdjustingInfo, setAdjustment, setBlockProgressionOffset, setParentArea`

Methods inherited from class org.apache.fop.area.Area
`activateEffectiveIPD, addTrait, clone, getAllocBPD, getAllocIPD, getAreaClass, getBidiLevel, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getEffectiveAllocIPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, resetBidiLevel, setAreaClass, setBidiLevel, setBPD, setIPD, setTraits, setWritingModeTraits`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResolvedPageNumber

    public ResolvedPageNumber()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.